Skip to main content
GET
/
history
/
:socialId
curl \
-H "Authorization: Bearer API_KEY" \
-X GET https://api.ayrshare.com/api/history/104923907983682_108329000309742?searchPlatformId=true&platform=facebook
[
    {
        "commentsCount": 0,
        "created": "2024-01-25T23:01:23Z",
        "from": {
            "name": "Ayrshare",
            "id": "18930271191"
        },
        "id": "18930271191_39392923",
        "mediaUrls": [
            {
                "media": {
                    "image": {
                        "height": 720,
                        "src": "https://scontent-lga3-2.xx.fbcdn.net/v/...",
                        "width": 405
                    },
                    "source": "https://video-lga3-2.xx.fbcdn.net/o1/..."
                },
                "title": "🔥 Sneaker time!"
            }
        ],
        "messageTags": [
            {
                "id": "434786466522",
                "name": "#sneakerswap365",
                "offset": 242,
                "length": 15
            }
        ],
        "post": "🔥 Sneaker Time for all!",
        "postUrl": "https://www.facebook.com/reel/72681340799/",
        "lastUpdated": "2024-01-25T23:29:58.014Z",
        "nextUpdate": "2024-01-25T23:40:58.014Z"
    }
]
Retrieve history for posts that did not originate via Ayrshare by providing the low-level Social post ID. This Social Post ID is returned in the postIds field of the post endpoint or the id field from the get all history endpoint or the ID from a post URL, such as from this Facebook post. The linked account must be the owner of the post to retrieve the history. Supported platforms: Facebook, Instagram, LinkedIn, Threads, TikTok, Twitter, and YouTube with the following platform values: facebook, instagram, linkedin, threads, tiktok, twitter, youtube.

Header Parameters

Path Parameters

socialId
string
required
The Social Post ID of the post.
Please see the /post endpoint Response 200 for another example of the Facebook Social Post ID 104923907983682_108329000309742

Query Parameters

searchPlatformId
boolean
required
Always equals true
platform
string
required
Values: facebook, instagram, linkedin, threads, tiktok, twitter, youtube
curl \
-H "Authorization: Bearer API_KEY" \
-X GET https://api.ayrshare.com/api/history/104923907983682_108329000309742?searchPlatformId=true&platform=facebook
[
    {
        "commentsCount": 0,
        "created": "2024-01-25T23:01:23Z",
        "from": {
            "name": "Ayrshare",
            "id": "18930271191"
        },
        "id": "18930271191_39392923",
        "mediaUrls": [
            {
                "media": {
                    "image": {
                        "height": 720,
                        "src": "https://scontent-lga3-2.xx.fbcdn.net/v/...",
                        "width": 405
                    },
                    "source": "https://video-lga3-2.xx.fbcdn.net/o1/..."
                },
                "title": "🔥 Sneaker time!"
            }
        ],
        "messageTags": [
            {
                "id": "434786466522",
                "name": "#sneakerswap365",
                "offset": 242,
                "length": 15
            }
        ],
        "post": "🔥 Sneaker Time for all!",
        "postUrl": "https://www.facebook.com/reel/72681340799/",
        "lastUpdated": "2024-01-25T23:29:58.014Z",
        "nextUpdate": "2024-01-25T23:40:58.014Z"
    }
]